Index: palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- palm/trunk/SOURCE/biometeorology_mod.f90	(revision 3525)
+++ palm/trunk/SOURCE/biometeorology_mod.f90	(revision 3569)
@@ -1342,220 +1562,256 @@
     IF ( va > 17._wp ) va = 17._wp
 
+!
+!-- Pre-calculate multiples of input parameters to save time later
+
+    ta2 = ta  * ta
+    ta3 = ta2 * ta
+    ta4 = ta3 * ta
+    ta5 = ta4 * ta
+    ta6 = ta5 * ta
+
+    va2 = va  * va
+    va3 = va2 * va
+    va4 = va3 * va
+    va5 = va4 * va
+    va6 = va5 * va
+
+    d_tmrt2 = d_tmrt  * d_tmrt
+    d_tmrt3 = d_tmrt2 * d_tmrt
+    d_tmrt4 = d_tmrt3 * d_tmrt
+    d_tmrt5 = d_tmrt4 * d_tmrt
+    d_tmrt6 = d_tmrt5 * d_tmrt
+
+    pa2 = pa  * pa
+    pa3 = pa2 * pa
+    pa4 = pa3 * pa
+    pa5 = pa4 * pa
+    pa6 = pa5 * pa
+
+!
+!-- Pre-calculate parts of the regression equation
+    part_ta = (  6.07562052e-01_wp )       +                                   &
+              ( -2.27712343e-02_wp ) * ta  +                                   &
+              (  8.06470249e-04_wp ) * ta2 +                                   &
+              ( -1.54271372e-04_wp ) * ta3 +                                   &
+              ( -3.24651735e-06_wp ) * ta4 +                                   &
+              (  7.32602852e-08_wp ) * ta5 +                                   &
+              (  1.35959073e-09_wp ) * ta6
+
+    part_va = ( -2.25836520e+00_wp ) * va +                                    &
+        (  8.80326035e-02_wp ) * ta  * va +                                    &
+        (  2.16844454e-03_wp ) * ta2 * va +                                    &
+        ( -1.53347087e-05_wp ) * ta3 * va +                                    &
+        ( -5.72983704e-07_wp ) * ta4 * va +                                    &
+        ( -2.55090145e-09_wp ) * ta5 * va +                                    &
+        ( -7.51269505e-01_wp ) *       va2 +                                   &
+        ( -4.08350271e-03_wp ) * ta  * va2 +                                   &
+        ( -5.21670675e-05_wp ) * ta2 * va2 +                                   &
+        (  1.94544667e-06_wp ) * ta3 * va2 +                                   &
+        (  1.14099531e-08_wp ) * ta4 * va2 +                                   &
+        (  1.58137256e-01_wp ) *       va3 +                                   &
+        ( -6.57263143e-05_wp ) * ta  * va3 +                                   &
+        (  2.22697524e-07_wp ) * ta2 * va3 +                                   &
+        ( -4.16117031e-08_wp ) * ta3 * va3 +                                   &
+        ( -1.27762753e-02_wp ) *       va4 +                                   &
+        (  9.66891875e-06_wp ) * ta  * va4 +                                   &
+        (  2.52785852e-09_wp ) * ta2 * va4 +                                   &
+        (  4.56306672e-04_wp ) *       va5 +                                   &
+        ( -1.74202546e-07_wp ) * ta  * va5 +                                   &
+        ( -5.91491269e-06_wp ) * va6
+
+    part_d_tmrt = (  3.98374029e-01_wp ) *       d_tmrt +                      &
+            (  1.83945314e-04_wp ) * ta  *       d_tmrt +                      &
+            ( -1.73754510e-04_wp ) * ta2 *       d_tmrt +                      &
+            ( -7.60781159e-07_wp ) * ta3 *       d_tmrt +                      &
+            (  3.77830287e-08_wp ) * ta4 *       d_tmrt +                      &
+            (  5.43079673e-10_wp ) * ta5 *       d_tmrt +                      &
+            ( -2.00518269e-02_wp ) *       va  * d_tmrt +                      &
+            (  8.92859837e-04_wp ) * ta  * va  * d_tmrt +                      &
+            (  3.45433048e-06_wp ) * ta2 * va  * d_tmrt +                      &
+            ( -3.77925774e-07_wp ) * ta3 * va  * d_tmrt +                      &
+            ( -1.69699377e-09_wp ) * ta4 * va  * d_tmrt +                      &
+            (  1.69992415e-04_wp ) *       va2 * d_tmrt +                      &
+            ( -4.99204314e-05_wp ) * ta  * va2 * d_tmrt +                      &
+            (  2.47417178e-07_wp ) * ta2 * va2 * d_tmrt +                      &
+            (  1.07596466e-08_wp ) * ta3 * va2 * d_tmrt +                      &
+            (  8.49242932e-05_wp ) *       va3 * d_tmrt +                      &
+            (  1.35191328e-06_wp ) * ta  * va3 * d_tmrt +                      &
+            ( -6.21531254e-09_wp ) * ta2 * va3 * d_tmrt +                      &
+            ( -4.99410301e-06_wp ) * va4 *       d_tmrt +                      &
+            ( -1.89489258e-08_wp ) * ta  * va4 * d_tmrt +                      &
+            (  8.15300114e-08_wp ) *       va5 * d_tmrt +                      &
+            (  7.55043090e-04_wp ) *             d_tmrt2 +                     &
+            ( -5.65095215e-05_wp ) * ta  *       d_tmrt2 +                     &
+            ( -4.52166564e-07_wp ) * ta2 *       d_tmrt2 +                     &
+            (  2.46688878e-08_wp ) * ta3 *       d_tmrt2 +                     &
+            (  2.42674348e-10_wp ) * ta4 *       d_tmrt2 +                     &
+            (  1.54547250e-04_wp ) *       va  * d_tmrt2 +                     &
+            (  5.24110970e-06_wp ) * ta  * va  * d_tmrt2 +                     &
+            ( -8.75874982e-08_wp ) * ta2 * va  * d_tmrt2 +                     &
+            ( -1.50743064e-09_wp ) * ta3 * va  * d_tmrt2 +                     &
+            ( -1.56236307e-05_wp ) *       va2 * d_tmrt2 +                     &
+            ( -1.33895614e-07_wp ) * ta  * va2 * d_tmrt2 +                     &
+            (  2.49709824e-09_wp ) * ta2 * va2 * d_tmrt2 +                     &
+            (  6.51711721e-07_wp ) *       va3 * d_tmrt2 +                     &
+            (  1.94960053e-09_wp ) * ta  * va3 * d_tmrt2 +                     &
+            ( -1.00361113e-08_wp ) *       va4 * d_tmrt2 +                     &
+            ( -1.21206673e-05_wp ) *             d_tmrt3 +                     &
+            ( -2.18203660e-07_wp ) * ta  *       d_tmrt3 +                     &
+            (  7.51269482e-09_wp ) * ta2 *       d_tmrt3 +                     &
+            (  9.79063848e-11_wp ) * ta3 *       d_tmrt3 +                     &
+            (  1.25006734e-06_wp ) *       va  * d_tmrt3 +                     &
+            ( -1.81584736e-09_wp ) * ta  * va  * d_tmrt3 +                     &
+            ( -3.52197671e-10_wp ) * ta2 * va  * d_tmrt3 +                     &
+            ( -3.36514630e-08_wp ) *       va2 * d_tmrt3 +                     &
+            (  1.35908359e-10_wp ) * ta  * va2 * d_tmrt3 +                     &
+            (  4.17032620e-10_wp ) *       va3 * d_tmrt3 +                     &
+            ( -1.30369025e-09_wp ) *             d_tmrt4 +                     &
+            (  4.13908461e-10_wp ) * ta  *       d_tmrt4 +                     &
+            (  9.22652254e-12_wp ) * ta2 *       d_tmrt4 +                     &
+            ( -5.08220384e-09_wp ) *       va  * d_tmrt4 +                     &
+            ( -2.24730961e-11_wp ) * ta  * va  * d_tmrt4 +                     &
+            (  1.17139133e-10_wp ) *       va2 * d_tmrt4 +                     &
+            (  6.62154879e-10_wp ) *             d_tmrt5 +                     &
+            (  4.03863260e-13_wp ) * ta  *       d_tmrt5 +                     &
+            (  1.95087203e-12_wp ) *       va  * d_tmrt5 +                     &
+            ( -4.73602469e-12_wp ) *             d_tmrt6
+
+    part_pa = (  5.12733497e+00_wp ) *                pa +                     &
+       ( -3.12788561e-01_wp ) * ta  *                 pa +                     &
+       ( -1.96701861e-02_wp ) * ta2 *                 pa +                     &
+       (  9.99690870e-04_wp ) * ta3 *                 pa +                     &
+       (  9.51738512e-06_wp ) * ta4 *                 pa +                     &
+       ( -4.66426341e-07_wp ) * ta5 *                 pa +                     &
+       (  5.48050612e-01_wp ) *       va  *           pa +                     &
+       ( -3.30552823e-03_wp ) * ta  * va  *           pa +                     &
+       ( -1.64119440e-03_wp ) * ta2 * va  *           pa +                     &
+       ( -5.16670694e-06_wp ) * ta3 * va  *           pa +                     &
+       (  9.52692432e-07_wp ) * ta4 * va  *           pa +                     &
+       ( -4.29223622e-02_wp ) *       va2 *           pa +                     &
+       (  5.00845667e-03_wp ) * ta  * va2 *           pa +                     &
+       (  1.00601257e-06_wp ) * ta2 * va2 *           pa +                     &
+       ( -1.81748644e-06_wp ) * ta3 * va2 *           pa +                     &
+       ( -1.25813502e-03_wp ) *       va3 *           pa +                     &
+       ( -1.79330391e-04_wp ) * ta  * va3 *           pa +                     &
+       (  2.34994441e-06_wp ) * ta2 * va3 *           pa +                     &
+       (  1.29735808e-04_wp ) *       va4 *           pa +                     &
+       (  1.29064870e-06_wp ) * ta  * va4 *           pa +                     &
+       ( -2.28558686e-06_wp ) *       va5 *           pa +                     &
+       ( -3.69476348e-02_wp ) *             d_tmrt  * pa +                     &
+       (  1.62325322e-03_wp ) * ta  *       d_tmrt  * pa +                     &
+       ( -3.14279680e-05_wp ) * ta2 *       d_tmrt  * pa +                     &
+       (  2.59835559e-06_wp ) * ta3 *       d_tmrt  * pa +                     &
+       ( -4.77136523e-08_wp ) * ta4 *       d_tmrt  * pa +                     &
+       (  8.64203390e-03_wp ) *       va  * d_tmrt  * pa +                     &
+       ( -6.87405181e-04_wp ) * ta  * va  * d_tmrt  * pa +                     &
+       ( -9.13863872e-06_wp ) * ta2 * va  * d_tmrt  * pa +                     &
+       (  5.15916806e-07_wp ) * ta3 * va  * d_tmrt  * pa +                     &
+       ( -3.59217476e-05_wp ) *       va2 * d_tmrt  * pa +                     &
+       (  3.28696511e-05_wp ) * ta  * va2 * d_tmrt  * pa +                     &
+       ( -7.10542454e-07_wp ) * ta2 * va2 * d_tmrt  * pa +                     &
+       ( -1.24382300e-05_wp ) *       va3 * d_tmrt  * pa +                     &
+       ( -7.38584400e-09_wp ) * ta  * va3 * d_tmrt  * pa +                     &
+       (  2.20609296e-07_wp ) *       va4 * d_tmrt  * pa +                     &
+       ( -7.32469180e-04_wp ) *             d_tmrt2 * pa +                     &
+       ( -1.87381964e-05_wp ) * ta  *       d_tmrt2 * pa +                     &
+       (  4.80925239e-06_wp ) * ta2 *       d_tmrt2 * pa +                     &
+       ( -8.75492040e-08_wp ) * ta3 *       d_tmrt2 * pa +                     &
+       (  2.77862930e-05_wp ) *       va  * d_tmrt2 * pa +                     &
+       ( -5.06004592e-06_wp ) * ta  * va  * d_tmrt2 * pa +                     &
+       (  1.14325367e-07_wp ) * ta2 * va  * d_tmrt2 * pa +                     &
+       (  2.53016723e-06_wp ) *       va2 * d_tmrt2 * pa +                     &
+       ( -1.72857035e-08_wp ) * ta  * va2 * d_tmrt2 * pa +                     &
+       ( -3.95079398e-08_wp ) *       va3 * d_tmrt2 * pa +                     &
+       ( -3.59413173e-07_wp ) *             d_tmrt3 * pa +                     &
+       (  7.04388046e-07_wp ) * ta  *       d_tmrt3 * pa +                     &
+       ( -1.89309167e-08_wp ) * ta2 *       d_tmrt3 * pa +                     &
+       ( -4.79768731e-07_wp ) *       va  * d_tmrt3 * pa +                     &
+       (  7.96079978e-09_wp ) * ta  * va  * d_tmrt3 * pa +                     &
+       (  1.62897058e-09_wp ) *       va2 * d_tmrt3 * pa +                     &
+       (  3.94367674e-08_wp ) *             d_tmrt4 * pa +                     &
+       ( -1.18566247e-09_wp ) * ta *        d_tmrt4 * pa +                     &
+       (  3.34678041e-10_wp ) *       va  * d_tmrt4 * pa +                     &
+       ( -1.15606447e-10_wp ) *             d_tmrt5 * pa
+
+    part_pa2 = ( -2.80626406e+00_wp ) *               pa2 +                    &
+       (  5.48712484e-01_wp ) * ta  *                 pa2 +                    &
+       ( -3.99428410e-03_wp ) * ta2 *                 pa2 +                    &
+       ( -9.54009191e-04_wp ) * ta3 *                 pa2 +                    &
+       (  1.93090978e-05_wp ) * ta4 *                 pa2 +                    &
+       ( -3.08806365e-01_wp ) *       va *            pa2 +                    &
+       (  1.16952364e-02_wp ) * ta  * va *            pa2 +                    &
+       (  4.95271903e-04_wp ) * ta2 * va *            pa2 +                    &
+       ( -1.90710882e-05_wp ) * ta3 * va *            pa2 +                    &
+       (  2.10787756e-03_wp ) *       va2 *           pa2 +                    &
+       ( -6.98445738e-04_wp ) * ta  * va2 *           pa2 +                    &
+       (  2.30109073e-05_wp ) * ta2 * va2 *           pa2 +                    &
+       (  4.17856590e-04_wp ) *       va3 *           pa2 +                    &
+       ( -1.27043871e-05_wp ) * ta  * va3 *           pa2 +                    &
+       ( -3.04620472e-06_wp ) *       va4 *           pa2 +                    &
+       (  5.14507424e-02_wp ) *             d_tmrt  * pa2 +                    &
+       ( -4.32510997e-03_wp ) * ta  *       d_tmrt  * pa2 +                    &
+       (  8.99281156e-05_wp ) * ta2 *       d_tmrt  * pa2 +                    &
+       ( -7.14663943e-07_wp ) * ta3 *       d_tmrt  * pa2 +                    &
+       ( -2.66016305e-04_wp ) *       va  * d_tmrt  * pa2 +                    &
+       (  2.63789586e-04_wp ) * ta  * va  * d_tmrt  * pa2 +                    &
+       ( -7.01199003e-06_wp ) * ta2 * va  * d_tmrt  * pa2 +                    &
+       ( -1.06823306e-04_wp ) *       va2 * d_tmrt  * pa2 +                    &
+       (  3.61341136e-06_wp ) * ta  * va2 * d_tmrt  * pa2 +                    &
+       (  2.29748967e-07_wp ) *       va3 * d_tmrt  * pa2 +                    &
+       (  3.04788893e-04_wp ) *             d_tmrt2 * pa2 +                    &
+       ( -6.42070836e-05_wp ) * ta  *       d_tmrt2 * pa2 +                    &
+       (  1.16257971e-06_wp ) * ta2 *       d_tmrt2 * pa2 +                    &
+       (  7.68023384e-06_wp ) *       va  * d_tmrt2 * pa2 +                    &
+       ( -5.47446896e-07_wp ) * ta  * va  * d_tmrt2 * pa2 +                    &
+       ( -3.59937910e-08_wp ) *       va2 * d_tmrt2 * pa2 +                    &
+       ( -4.36497725e-06_wp ) *             d_tmrt3 * pa2 +                    &
+       (  1.68737969e-07_wp ) * ta  *       d_tmrt3 * pa2 +                    &
+       (  2.67489271e-08_wp ) *       va  * d_tmrt3 * pa2 +                    &
+       (  3.23926897e-09_wp ) *             d_tmrt4 * pa2
+
+    part_pa3 = ( -3.53874123e-02_wp ) *               pa3 +                    &
+       ( -2.21201190e-01_wp ) * ta  *                 pa3 +                    &
+       (  1.55126038e-02_wp ) * ta2 *                 pa3 +                    &
+       ( -2.63917279e-04_wp ) * ta3 *                 pa3 +                    &
+       (  4.53433455e-02_wp ) *       va  *           pa3 +                    &
+       ( -4.32943862e-03_wp ) * ta  * va  *           pa3 +                    &
+       (  1.45389826e-04_wp ) * ta2 * va  *           pa3 +                    &
+       (  2.17508610e-04_wp ) *       va2 *           pa3 +                    &
+       ( -6.66724702e-05_wp ) * ta  * va2 *           pa3 +                    &
+       (  3.33217140e-05_wp ) *       va3 *           pa3 +                    &
+       ( -2.26921615e-03_wp ) *             d_tmrt  * pa3 +                    &
+       (  3.80261982e-04_wp ) * ta  *       d_tmrt  * pa3 +                    &
+       ( -5.45314314e-09_wp ) * ta2 *       d_tmrt  * pa3 +                    &
+       ( -7.96355448e-04_wp ) *       va  * d_tmrt  * pa3 +                    &
+       (  2.53458034e-05_wp ) * ta  * va  * d_tmrt  * pa3 +                    &
+       ( -6.31223658e-06_wp ) *       va2 * d_tmrt  * pa3 +                    &
+       (  3.02122035e-04_wp ) *             d_tmrt2 * pa3 +                    &
+       ( -4.77403547e-06_wp ) * ta  *       d_tmrt2 * pa3 +                    &
+       (  1.73825715e-06_wp ) *       va  * d_tmrt2 * pa3 +                    &
+       ( -4.09087898e-07_wp ) *             d_tmrt3 * pa3
+
+    part_pa46 = (  6.14155345e-01_wp ) *              pa4 +                    &
+       ( -6.16755931e-02_wp ) * ta  *                 pa4 +                    &
+       (  1.33374846e-03_wp ) * ta2 *                 pa4 +                    &
+       (  3.55375387e-03_wp ) *       va  *           pa4 +                    &
+       ( -5.13027851e-04_wp ) * ta  * va *            pa4 +                    &
+       (  1.02449757e-04_wp ) *       va2 *           pa4 +                    &
+       ( -1.48526421e-03_wp ) *             d_tmrt  * pa4 +                    &
+       ( -4.11469183e-05_wp ) * ta  *       d_tmrt  * pa4 +                    &
+       ( -6.80434415e-06_wp ) *       va  * d_tmrt  * pa4 +                    &
+       ( -9.77675906e-06_wp ) *             d_tmrt2 * pa4 +                    &
+       (  8.82773108e-02_wp ) *                       pa5 +                    &
+       ( -3.01859306e-03_wp ) * ta  *                 pa5 +                    &
+       (  1.04452989e-03_wp ) *       va  *           pa5 +                    &
+       (  2.47090539e-04_wp ) *             d_tmrt  * pa5 +                    &
+       (  1.48348065e-03_wp ) *                       pa6
+!
 !-- Calculate 6th order polynomial as approximation 
-    utci = ta +                                                                &
-       ( 6.07562052e-01 )   +                                                  &
-       ( -2.27712343e-02 ) * ta +                                              &
-       ( 8.06470249e-04 )  * ta * ta +                                         &
-       ( -1.54271372e-04 ) * ta * ta * ta +                                    &
-       ( -3.24651735e-06 ) * ta * ta * ta * ta +                               &
-       ( 7.32602852e-08 )  * ta * ta * ta * ta * ta +                          &
-       ( 1.35959073e-09 )  * ta * ta * ta * ta * ta * ta +                     &
-       ( -2.25836520e+00 ) * va +                                              &
-       ( 8.80326035e-02 )  * ta * va +                                         &
-       ( 2.16844454e-03 )  * ta * ta * va +                                    &
-       ( -1.53347087e-05 ) * ta * ta * ta * va +                               &
-       ( -5.72983704e-07 ) * ta * ta * ta * ta * va +                          &
-       ( -2.55090145e-09 ) * ta * ta * ta * ta * ta * va +                     &
-       ( -7.51269505e-01 ) * va * va +                                         &
-       ( -4.08350271e-03 ) * ta * va * va +                                    &
-       ( -5.21670675e-05 ) * ta * ta * va * va +                               &
-       ( 1.94544667e-06 )  * ta * ta * ta * va * va +                          &
-       ( 1.14099531e-08 )  * ta * ta * ta * ta * va * va +                     &
-       ( 1.58137256e-01 )  * va * va * va +                                    &
-       ( -6.57263143e-05 ) * ta * va * va * va +                               &
-       ( 2.22697524e-07 )  * ta * ta * va * va * va +                          &
-       ( -4.16117031e-08 ) * ta * ta * ta * va * va * va +                     &
-       ( -1.27762753e-02 ) * va * va * va * va +                               &
-       ( 9.66891875e-06 )  * ta * va * va * va * va +                          &
-       ( 2.52785852e-09 )  * ta * ta * va * va * va * va +                     &
-       ( 4.56306672e-04 )  * va * va * va * va * va +                          &
-       ( -1.74202546e-07 ) * ta * va * va * va * va * va +                     &
-       ( -5.91491269e-06 ) * va * va * va * va * va * va +                     &
-       ( 3.98374029e-01 )  * d_tmrt +                                          &
-       ( 1.83945314e-04 )  * ta * d_tmrt +                                     &
-       ( -1.73754510e-04 ) * ta * ta * d_tmrt +                                &
-       ( -7.60781159e-07 ) * ta * ta * ta * d_tmrt +                           &
-       ( 3.77830287e-08 )  * ta * ta * ta * ta * d_tmrt +                      &
-       ( 5.43079673e-10 )  * ta * ta * ta * ta * ta * d_tmrt +                 &
-       ( -2.00518269e-02 ) * va * d_tmrt +                                     &
-       ( 8.92859837e-04 )  * ta * va * d_tmrt +                                &
-       ( 3.45433048e-06 )  * ta * ta * va * d_tmrt +                           &
-       ( -3.77925774e-07 ) * ta * ta * ta * va * d_tmrt +                      &
-       ( -1.69699377e-09 ) * ta * ta * ta * ta * va * d_tmrt +                 &
-       ( 1.69992415e-04 )  * va * va * d_tmrt +                                &
-       ( -4.99204314e-05 ) * ta * va * va * d_tmrt +                           &
-       ( 2.47417178e-07 )  * ta * ta * va * va * d_tmrt +                      &
-       ( 1.07596466e-08 )  * ta * ta * ta * va * va * d_tmrt +                 &
-       ( 8.49242932e-05 )  * va * va * va * d_tmrt +                           &
-       ( 1.35191328e-06 )  * ta * va * va * va * d_tmrt +                      &
-       ( -6.21531254e-09 ) * ta * ta * va * va * va * d_tmrt +                 &
-       ( -4.99410301e-06 ) * va * va * va * va * d_tmrt +                      &
-       ( -1.89489258e-08 ) * ta * va * va * va * va * d_tmrt +                 &
-       ( 8.15300114e-08 )  * va * va * va * va * va * d_tmrt +                 &
-       ( 7.55043090e-04 )  * d_tmrt * d_tmrt +                                 &
-       ( -5.65095215e-05 ) * ta * d_tmrt * d_tmrt +                            &
-       ( -4.52166564e-07 ) * ta * ta * d_tmrt * d_tmrt +                       &
-       ( 2.46688878e-08 )  * ta * ta * ta * d_tmrt * d_tmrt +                  &
-       ( 2.42674348e-10 )  * ta * ta * ta * ta * d_tmrt * d_tmrt +             &
-       ( 1.54547250e-04 )  * va * d_tmrt * d_tmrt +                            &
-       ( 5.24110970e-06 )  * ta * va * d_tmrt * d_tmrt +                       &
-       ( -8.75874982e-08 ) * ta * ta * va * d_tmrt * d_tmrt +                  &
-       ( -1.50743064e-09 ) * ta * ta * ta * va * d_tmrt * d_tmrt +             &
-       ( -1.56236307e-05 ) * va * va * d_tmrt * d_tmrt +                       &
-       ( -1.33895614e-07 ) * ta * va * va * d_tmrt * d_tmrt +                  &
-       ( 2.49709824e-09 )  * ta * ta * va * va * d_tmrt * d_tmrt +             &
-       ( 6.51711721e-07 )  * va * va * va * d_tmrt * d_tmrt +                  &
-       ( 1.94960053e-09 )  * ta * va * va * va * d_tmrt * d_tmrt +             &
-       ( -1.00361113e-08 ) * va * va * va * va * d_tmrt * d_tmrt +             &
-       ( -1.21206673e-05 ) * d_tmrt * d_tmrt * d_tmrt +                        &
-       ( -2.18203660e-07 ) * ta * d_tmrt * d_tmrt * d_tmrt +                   &
-       ( 7.51269482e-09 )  * ta * ta * d_tmrt * d_tmrt * d_tmrt +              &
-       ( 9.79063848e-11 )  * ta * ta * ta * d_tmrt * d_tmrt * d_tmrt +         &
-       ( 1.25006734e-06 )  * va * d_tmrt * d_tmrt * d_tmrt +                   &
-       ( -1.81584736e-09 ) * ta * va * d_tmrt * d_tmrt * d_tmrt +              &
-       ( -3.52197671e-10 ) * ta * ta * va * d_tmrt * d_tmrt * d_tmrt +         &
-       ( -3.36514630e-08 ) * va * va * d_tmrt * d_tmrt * d_tmrt +              &
-       ( 1.35908359e-10 )  * ta * va * va * d_tmrt * d_tmrt * d_tmrt +         &
-       ( 4.17032620e-10 )  * va * va * va * d_tmrt * d_tmrt * d_tmrt +         &
-       ( -1.30369025e-09 ) * d_tmrt * d_tmrt * d_tmrt * d_tmrt +               &
-       ( 4.13908461e-10 )  * ta * d_tmrt * d_tmrt * d_tmrt * d_tmrt +          &
-       ( 9.22652254e-12 )  * ta * ta * d_tmrt * d_tmrt * d_tmrt * d_tmrt +     &
-       ( -5.08220384e-09 ) * va * d_tmrt * d_tmrt * d_tmrt * d_tmrt +          &
-       ( -2.24730961e-11 ) * ta * va * d_tmrt * d_tmrt * d_tmrt * d_tmrt +     &
-       ( 1.17139133e-10 )  * va * va * d_tmrt * d_tmrt * d_tmrt * d_tmrt +     &
-       ( 6.62154879e-10 )  * d_tmrt * d_tmrt * d_tmrt * d_tmrt * d_tmrt +      &
-       ( 4.03863260e-13 )  * ta * d_tmrt * d_tmrt * d_tmrt * d_tmrt * d_tmrt + &
-       ( 1.95087203e-12 )  * va * d_tmrt * d_tmrt * d_tmrt * d_tmrt * d_tmrt + &
-       ( -4.73602469e-12 ) * d_tmrt * d_tmrt * d_tmrt * d_tmrt * d_tmrt *      &
-       d_tmrt +                                                                &
-       ( 5.12733497e+00 )  * pa +                                              &
-       ( -3.12788561e-01 ) * ta * pa +                                         &
-       ( -1.96701861e-02 ) * ta * ta * pa +                                    &
-       ( 9.99690870e-04 )  * ta * ta * ta * pa +                               &
-       ( 9.51738512e-06 )  * ta * ta * ta * ta * pa +                          &
-       ( -4.66426341e-07 ) * ta * ta * ta * ta * ta * pa +                     &
-       ( 5.48050612e-01 )  * va * pa +                                         &
-       ( -3.30552823e-03 ) * ta * va * pa +                                    &
-       ( -1.64119440e-03 ) * ta * ta * va * pa +                               &
-       ( -5.16670694e-06 ) * ta * ta * ta * va * pa +                          &
-       ( 9.52692432e-07 )  * ta * ta * ta * ta * va * pa +                     &
-       ( -4.29223622e-02 ) * va * va * pa +                                    &
-       ( 5.00845667e-03 )  * ta * va * va * pa +                               &
-       ( 1.00601257e-06 )  * ta * ta * va * va * pa +                          &
-       ( -1.81748644e-06 ) * ta * ta * ta * va * va * pa +                     &
-       ( -1.25813502e-03 ) * va * va * va * pa +                               &
-       ( -1.79330391e-04 ) * ta * va * va * va * pa +                          &
-       ( 2.34994441e-06 )  * ta * ta * va * va * va * pa +                     &
-       ( 1.29735808e-04 )  * va * va * va * va * pa +                          &
-       ( 1.29064870e-06 )  * ta * va * va * va * va * pa +                     &
-       ( -2.28558686e-06 ) * va * va * va * va * va * pa +                     &
-       ( -3.69476348e-02 ) * d_tmrt * pa +                                     &
-       ( 1.62325322e-03 )  * ta * d_tmrt * pa +                                &
-       ( -3.14279680e-05 ) * ta * ta * d_tmrt * pa +                           &
-       ( 2.59835559e-06 )  * ta * ta * ta * d_tmrt * pa +                      &
-       ( -4.77136523e-08 ) * ta * ta * ta * ta * d_tmrt * pa +                 &
-       ( 8.64203390e-03 )  * va * d_tmrt * pa +                                &
-       ( -6.87405181e-04 ) * ta * va * d_tmrt * pa +                           &
-       ( -9.13863872e-06 ) * ta * ta * va * d_tmrt * pa +                      &
-       ( 5.15916806e-07 )  * ta * ta * ta * va * d_tmrt * pa +                 &
-       ( -3.59217476e-05 ) * va * va * d_tmrt * pa +                           &
-       ( 3.28696511e-05 )  * ta * va * va * d_tmrt * pa +                      &
-       ( -7.10542454e-07 ) * ta * ta * va * va * d_tmrt * pa +                 &
-       ( -1.24382300e-05 ) * va * va * va * d_tmrt * pa +                      &
-       ( -7.38584400e-09 ) * ta * va * va * va * d_tmrt * pa +                 &
-       ( 2.20609296e-07 )  * va * va * va * va * d_tmrt * pa +                 &
-       ( -7.32469180e-04 ) * d_tmrt * d_tmrt * pa +                            &
-       ( -1.87381964e-05 ) * ta * d_tmrt * d_tmrt * pa +                       &
-       ( 4.80925239e-06 )  * ta * ta * d_tmrt * d_tmrt * pa +                  &
-       ( -8.75492040e-08 ) * ta * ta * ta * d_tmrt * d_tmrt * pa +             &
-       ( 2.77862930e-05 )  * va * d_tmrt * d_tmrt * pa +                       &
-       ( -5.06004592e-06 ) * ta * va * d_tmrt * d_tmrt * pa +                  &
-       ( 1.14325367e-07 )  * ta * ta * va * d_tmrt * d_tmrt * pa +             &
-       ( 2.53016723e-06 )  * va * va * d_tmrt * d_tmrt * pa +                  &
-       ( -1.72857035e-08 ) * ta * va * va * d_tmrt * d_tmrt * pa +             &
-       ( -3.95079398e-08 ) * va * va * va * d_tmrt * d_tmrt * pa +             &
-       ( -3.59413173e-07 ) * d_tmrt * d_tmrt * d_tmrt * pa +                   &
-       ( 7.04388046e-07 )  * ta * d_tmrt * d_tmrt * d_tmrt * pa +              &
-       ( -1.89309167e-08 ) * ta * ta * d_tmrt * d_tmrt * d_tmrt * pa +         &
-       ( -4.79768731e-07 ) * va * d_tmrt * d_tmrt * d_tmrt * pa +              &
-       ( 7.96079978e-09 )  * ta * va * d_tmrt * d_tmrt * d_tmrt * pa +         &
-       ( 1.62897058e-09 )  * va * va * d_tmrt * d_tmrt * d_tmrt * pa +         &
-       ( 3.94367674e-08 )  * d_tmrt * d_tmrt * d_tmrt * d_tmrt * pa +          &
-       ( -1.18566247e-09 ) * ta * d_tmrt * d_tmrt * d_tmrt * d_tmrt * pa +     &
-       ( 3.34678041e-10 )  * va * d_tmrt * d_tmrt * d_tmrt * d_tmrt * pa +     &
-       ( -1.15606447e-10 ) * d_tmrt * d_tmrt * d_tmrt * d_tmrt * d_tmrt * pa + &
-       ( -2.80626406e+00 ) * pa * pa +                                         &
-       ( 5.48712484e-01 )  * ta * pa * pa +                                    &
-       ( -3.99428410e-03 ) * ta * ta * pa * pa +                               &
-       ( -9.54009191e-04 ) * ta * ta * ta * pa * pa +                          &
-       ( 1.93090978e-05 )  * ta * ta * ta * ta * pa * pa +                     &
-       ( -3.08806365e-01 ) * va * pa * pa +                                    &
-       ( 1.16952364e-02 )  * ta * va * pa * pa +                               &
-       ( 4.95271903e-04 )  * ta * ta * va * pa * pa +                          &
-       ( -1.90710882e-05 ) * ta * ta * ta * va * pa * pa +                     &
-       ( 2.10787756e-03 )  * va * va * pa * pa +                               &
-       ( -6.98445738e-04 ) * ta * va * va * pa * pa +                          &
-       ( 2.30109073e-05 )  * ta * ta * va * va * pa * pa +                     &
-       ( 4.17856590e-04 )  * va * va * va * pa * pa +                          &
-       ( -1.27043871e-05 ) * ta * va * va * va * pa * pa +                     &
-       ( -3.04620472e-06 ) * va * va * va * va * pa * pa +                     &
-       ( 5.14507424e-02 )  * d_tmrt * pa * pa +                                &
-       ( -4.32510997e-03 ) * ta * d_tmrt * pa * pa +                           &
-       ( 8.99281156e-05 )  * ta * ta * d_tmrt * pa * pa +                      &
-       ( -7.14663943e-07 ) * ta * ta * ta * d_tmrt * pa * pa +                 &
-       ( -2.66016305e-04 ) * va * d_tmrt * pa * pa +                           &
-       ( 2.63789586e-04 )  * ta * va * d_tmrt * pa * pa +                      &
-       ( -7.01199003e-06 ) * ta * ta * va * d_tmrt * pa * pa +                 &
-       ( -1.06823306e-04 ) * va * va * d_tmrt * pa * pa +                      &
-       ( 3.61341136e-06 )  * ta * va * va * d_tmrt * pa * pa +                 &
-       ( 2.29748967e-07 )  * va * va * va * d_tmrt * pa * pa +                 &
-       ( 3.04788893e-04 )  * d_tmrt * d_tmrt * pa * pa +                       &
-       ( -6.42070836e-05 ) * ta * d_tmrt * d_tmrt * pa * pa +                  &
-       ( 1.16257971e-06 )  * ta * ta * d_tmrt * d_tmrt * pa * pa +             &
-       ( 7.68023384e-06 )  * va * d_tmrt * d_tmrt * pa * pa +                  &
-       ( -5.47446896e-07 ) * ta * va * d_tmrt * d_tmrt * pa * pa +             &
-       ( -3.59937910e-08 ) * va * va * d_tmrt * d_tmrt * pa * pa +             &
-       ( -4.36497725e-06 ) * d_tmrt * d_tmrt * d_tmrt * pa * pa +              &
-       ( 1.68737969e-07 )  * ta * d_tmrt * d_tmrt * d_tmrt * pa * pa +         &
-       ( 2.67489271e-08 )  * va * d_tmrt * d_tmrt * d_tmrt * pa * pa +         &
-       ( 3.23926897e-09 )  * d_tmrt * d_tmrt * d_tmrt * d_tmrt * pa * pa +     &
-       ( -3.53874123e-02 ) * pa * pa * pa +                                    &
-       ( -2.21201190e-01 ) * ta * pa * pa * pa +                               &
-       ( 1.55126038e-02 )  * ta * ta * pa * pa * pa +                          &
-       ( -2.63917279e-04 ) * ta * ta * ta * pa * pa * pa +                     &
-       ( 4.53433455e-02 )  * va * pa * pa * pa +                               &
-       ( -4.32943862e-03 ) * ta * va * pa * pa * pa +                          &
-       ( 1.45389826e-04 )  * ta * ta * va * pa * pa * pa +                     &
-       ( 2.17508610e-04 )  * va * va * pa * pa * pa +                          &
-       ( -6.66724702e-05 ) * ta * va * va * pa * pa * pa +                     &
-       ( 3.33217140e-05 )  * va * va * va * pa * pa * pa +                     &
-       ( -2.26921615e-03 ) * d_tmrt * pa * pa * pa +                           &
-       ( 3.80261982e-04 )  * ta * d_tmrt * pa * pa * pa +                      &
-       ( -5.45314314e-09 ) * ta * ta * d_tmrt * pa * pa * pa +                 &
-       ( -7.96355448e-04 ) * va * d_tmrt * pa * pa * pa +                      &
-       ( 2.53458034e-05 )  * ta * va * d_tmrt * pa * pa * pa +                 &
-       ( -6.31223658e-06 ) * va * va * d_tmrt * pa * pa * pa +                 &
-       ( 3.02122035e-04 )  * d_tmrt * d_tmrt * pa * pa * pa +                  &
-       ( -4.77403547e-06 ) * ta * d_tmrt * d_tmrt * pa * pa * pa +             &
-       ( 1.73825715e-06 )  * va * d_tmrt * d_tmrt * pa * pa * pa +             &
-       ( -4.09087898e-07 ) * d_tmrt * d_tmrt * d_tmrt * pa * pa * pa +         &
-       ( 6.14155345e-01 )  * pa * pa * pa * pa +                               &
-       ( -6.16755931e-02 ) * ta * pa * pa * pa * pa +                          &
-       ( 1.33374846e-03 )  * ta * ta * pa * pa * pa * pa +                     &
-       ( 3.55375387e-03 )  * va * pa * pa * pa * pa +                          &
-       ( -5.13027851e-04 ) * ta * va * pa * pa * pa * pa +                     &
-       ( 1.02449757e-04 )  * va * va * pa * pa * pa * pa +                     &
-       ( -1.48526421e-03 ) * d_tmrt * pa * pa * pa * pa +                      &
-       ( -4.11469183e-05 ) * ta * d_tmrt * pa * pa * pa * pa +                 &
-       ( -6.80434415e-06 ) * va * d_tmrt * pa * pa * pa * pa +                 &
-       ( -9.77675906e-06 ) * d_tmrt * d_tmrt * pa * pa * pa * pa +             &
-       ( 8.82773108e-02 )  * pa * pa * pa * pa * pa +                          &
-       ( -3.01859306e-03 ) * ta * pa * pa * pa * pa * pa +                     &
-       ( 1.04452989e-03 )  * va * pa * pa * pa * pa * pa +                     &
-       ( 2.47090539e-04 )  * d_tmrt * pa * pa * pa * pa * pa +                 &
-       ( 1.48348065e-03 )  * pa * pa * pa * pa * pa * pa 
-
+    utci_ij = ta + part_ta + part_va + part_d_tmrt + part_pa + part_pa2 +      &
+        part_pa3 + part_pa46
+!
 !-- Consider offset in result
-    utci = utci + offset
+    utci_ij = utci_ij + offset
 
  END SUBROUTINE calculate_utci_static
